inline_forms 5.2.4 → 6.0.1

This diff has not been reviewed by any users.
Sign up to get free protection for your applications and to get access to all the features.
checksums.yaml CHANGED
@@ -1,7 +1,7 @@
1
1
  ---
2
- SHA256:
3
- metadata.gz: 6701e757a024baad7c2b2dae9d56900b5969d95d5ceae8fc72738444a804ba4e
4
- data.tar.gz: 4fe1f817f86d38ee2d8da13ae8c4b6a5a73765e5b2bf8f3974d49006a845b855
2
+ SHA1:
3
+ metadata.gz: 41ec2dde956377e84c7ae4cb228cac6098ad42f5
4
+ data.tar.gz: 6a4e558788cdf92506ac80918050a80e63a11591
5
5
  SHA512:
6
- metadata.gz: ab4137fbeccccc941d774ee2eac98f9dc523e501edd931dc96b0f593884f3217d3d2cd533deee5191e1e1b334ddb057958197276b2b220ecc9fc6507ea17c46e
7
- data.tar.gz: f352919c0492d9fbd057267c32c590e51c89b86045ccc003635d0adf57131b85b3732e5f01ca83e8b200c804fece7341268d5a343470d21bae34c40b40db3c67
6
+ metadata.gz: 79279055494c7c915500d0a73b618e35405e482d7b6531544bebc4b29b83bba96a18e9d529d508b57389ff8c3af168e38c24206a27daf622548451ae5214a7bf
7
+ data.tar.gz: 08db08a5be24d890abca786fc978fbf43954add84f8732e268ba16e7a95338d534d9a6022c9ac5956003c2d33fd81c289e8e8e4fba96228d974fc3c8ab7548b1
@@ -1,7 +1,6 @@
1
1
  //= require jquery
2
2
  //= require jquery_ujs
3
3
  //= require jquery.ui.all
4
- //= require ckeditor/init
5
4
  //= require jquery.timepicker.js
6
5
  //= require foundation
7
6
  //= require jquery.remotipart
@@ -9,7 +9,7 @@ gem 'carrierwave'
9
9
  gem 'ckeditor', git: 'https://github.com/galetahub/ckeditor'
10
10
  #gem 'bootsnap', require: false
11
11
  gem 'coffee-rails'
12
- gem 'compass-rails'
12
+ #gem 'compass-rails'
13
13
  gem 'devise'
14
14
  gem 'foundation-icons-sass-rails'
15
15
  gem 'foundation-rails', '~> 5.5'
@@ -86,6 +86,9 @@ append_file "config/database.yml", <<-END_DATABASEYML.strip_heredoc
86
86
  password: <%= ENV["DATABASE_PASSWORD"] %>
87
87
  END_DATABASEYML
88
88
 
89
+ say "- Add rails 5.2 defaults to application.rb..."
90
+ gsub_file "config/application.rb", /6\.0/, '5.2'
91
+
89
92
  say "- Devise install..."
90
93
  run "bundle exec rails g devise:install"
91
94
 
@@ -238,9 +241,6 @@ create_file "app/models/user.rb", <<-USER_MODEL.strip_heredoc
238
241
  end
239
242
  USER_MODEL
240
243
 
241
- say "- Adding admin user with email: #{ENV['email']}, password: #{ENV['password']} to seeds.rb"
242
- append_to_file "db/seeds.rb", "User.create({ id: 1, email: '#{ENV['email']}', locale_id: 1, name: 'Admin', password: '#{ENV['password']}', password_confirmation: '#{ENV['password']}' })\n"
243
-
244
244
  # Create Locales
245
245
  say "- Create locales"
246
246
  generate "inline_forms", "Locale name:string title:string users:has_many _enabled:yes _presentation:\#{title}"
@@ -249,6 +249,14 @@ append_to_file "db/seeds.rb", "Locale.create({ id: 1, name: 'en', title: 'Englis
249
249
  # Create Roles
250
250
  say "- Create roles"
251
251
  generate "inline_forms", "Role name:string description:text users:has_and_belongs_to_many _enabled:yes _presentation:\#{name}"
252
+ append_to_file "db/seeds.rb", "Role.create({ id: 1, name: 'superadmin', description: 'Super Admin can access all.' })\n"
253
+
254
+ # Create Admin User
255
+
256
+ say "- Adding admin user with email: #{ENV['email']}, password: #{ENV['password']} to seeds.rb"
257
+ append_to_file "db/seeds.rb", "User.create({ id: 1, email: '#{ENV['email']}', locale_id: 1, name: 'Admin', password: '#{ENV['password']}', password_confirmation: '#{ENV['password']}' })\n"
258
+
259
+
252
260
  sleep 1 # to get unique migration number
253
261
  create_file "db/migrate/" +
254
262
  Time.now.utc.strftime("%Y%m%d%H%M%S") +
@@ -269,10 +277,9 @@ create_file "db/migrate/" +
269
277
  end
270
278
  ROLES_MIGRATION
271
279
 
272
- append_to_file "db/seeds.rb", "Role.create({ id: 1, name: 'superadmin', description: 'Super Admin can access all.' })\n"
273
280
 
274
281
  say "- Installaing ZURB Foundation..."
275
- generate "foundation:install", "-f"
282
+ #generate "foundation:install", "-f"
276
283
 
277
284
  say "- Copy inline_forms_devise file for custom styles..."
278
285
  copy_file File.join(GENERATOR_PATH, 'lib/generators/assets/stylesheets/inline_forms_devise.css'), 'app/assets/stylesheets/inline_forms_devise.css'
@@ -288,8 +295,8 @@ say "- Add ckeditor autoload_paths to application.rb..."
288
295
  application "config.autoload_paths += %W(\#{config.root}/app/models/ckeditor)"
289
296
 
290
297
  # see https://github.com/galetahub/ckeditor/issues/579
291
- say "- Set languages for ckeditor to ['en', 'nl'] in config/initializers/ckeditor.rb..."
292
- insert_into_file "config/initializers/ckeditor.rb", " config.assets_languages = ['en', 'nl']\n", :after => "config.assets_languages = ['en', 'uk']\n"
298
+ #say "- Set languages for ckeditor to ['en', 'nl'] in config/initializers/ckeditor.rb..."
299
+ #insert_into_file "config/initializers/ckeditor.rb", " config.assets_languages = ['en', 'nl']\n", :after => "config.assets_languages = ['en', 'uk']\n"
293
300
 
294
301
  say "- Paper_trail install..."
295
302
  generate "paper_trail:install --with-changes"
@@ -585,7 +592,7 @@ if ENV['install_example'] == 'true'
585
592
  end
586
593
  END_EXAMPLE_TEST
587
594
 
588
- run "rspec" if ENV['runtest']
595
+ #run "rspec" if ENV['runtest']
589
596
  remove_file 'public/index.html'
590
597
  route "root :to => 'apartments#index'"
591
598
 
@@ -595,7 +602,7 @@ if ENV['install_example'] == 'true'
595
602
  run 'bundle exec rails s'
596
603
  else
597
604
  # run tests
598
- run "rspec" if ENV['runtest']
605
+ #run "rspec" if ENV['runtest']
599
606
  say "- Don't forget: add your secret key base in config/application.yml \n"
600
607
  end
601
608
  # done!
@@ -23,7 +23,7 @@ Gem::Specification.new do |s|
23
23
  s.add_dependency('rvm')
24
24
  s.add_dependency('thor')
25
25
  s.add_dependency('validation_hints')
26
- s.add_dependency('rails', '>= 5.0')
26
+ s.add_dependency('rails', '>= 6.0')
27
27
  s.add_dependency('rails-i18n')
28
28
 
29
29
  s.add_development_dependency(%q<rspec-rails>)
@@ -1,4 +1,4 @@
1
1
  # -*- encoding : utf-8 -*-
2
2
  module InlineForms
3
- VERSION = "5.2.4"
3
+ VERSION = "6.0.1"
4
4
  end
metadata CHANGED
@@ -1,7 +1,7 @@
1
1
  --- !ruby/object:Gem::Specification
2
2
  name: inline_forms
3
3
  version: !ruby/object:Gem::Version
4
- version: 5.2.4
4
+ version: 6.0.1
5
5
  platform: ruby
6
6
  authors:
7
7
  - Ace Suares
@@ -10,132 +10,132 @@ authors:
10
10
  autorequire:
11
11
  bindir: bin
12
12
  cert_chain: []
13
- date: 2018-10-07 00:00:00.000000000 Z
13
+ date: 2020-06-08 00:00:00.000000000 Z
14
14
  dependencies:
15
15
  - !ruby/object:Gem::Dependency
16
16
  name: rvm
17
17
  requirement: !ruby/object:Gem::Requirement
18
18
  requirements:
19
- - - ">="
19
+ - - '>='
20
20
  - !ruby/object:Gem::Version
21
21
  version: '0'
22
22
  type: :runtime
23
23
  prerelease: false
24
24
  version_requirements: !ruby/object:Gem::Requirement
25
25
  requirements:
26
- - - ">="
26
+ - - '>='
27
27
  - !ruby/object:Gem::Version
28
28
  version: '0'
29
29
  - !ruby/object:Gem::Dependency
30
30
  name: thor
31
31
  requirement: !ruby/object:Gem::Requirement
32
32
  requirements:
33
- - - ">="
33
+ - - '>='
34
34
  - !ruby/object:Gem::Version
35
35
  version: '0'
36
36
  type: :runtime
37
37
  prerelease: false
38
38
  version_requirements: !ruby/object:Gem::Requirement
39
39
  requirements:
40
- - - ">="
40
+ - - '>='
41
41
  - !ruby/object:Gem::Version
42
42
  version: '0'
43
43
  - !ruby/object:Gem::Dependency
44
44
  name: validation_hints
45
45
  requirement: !ruby/object:Gem::Requirement
46
46
  requirements:
47
- - - ">="
47
+ - - '>='
48
48
  - !ruby/object:Gem::Version
49
49
  version: '0'
50
50
  type: :runtime
51
51
  prerelease: false
52
52
  version_requirements: !ruby/object:Gem::Requirement
53
53
  requirements:
54
- - - ">="
54
+ - - '>='
55
55
  - !ruby/object:Gem::Version
56
56
  version: '0'
57
57
  - !ruby/object:Gem::Dependency
58
58
  name: rails
59
59
  requirement: !ruby/object:Gem::Requirement
60
60
  requirements:
61
- - - ">="
61
+ - - '>='
62
62
  - !ruby/object:Gem::Version
63
- version: '5.0'
63
+ version: '6.0'
64
64
  type: :runtime
65
65
  prerelease: false
66
66
  version_requirements: !ruby/object:Gem::Requirement
67
67
  requirements:
68
- - - ">="
68
+ - - '>='
69
69
  - !ruby/object:Gem::Version
70
- version: '5.0'
70
+ version: '6.0'
71
71
  - !ruby/object:Gem::Dependency
72
72
  name: rails-i18n
73
73
  requirement: !ruby/object:Gem::Requirement
74
74
  requirements:
75
- - - ">="
75
+ - - '>='
76
76
  - !ruby/object:Gem::Version
77
77
  version: '0'
78
78
  type: :runtime
79
79
  prerelease: false
80
80
  version_requirements: !ruby/object:Gem::Requirement
81
81
  requirements:
82
- - - ">="
82
+ - - '>='
83
83
  - !ruby/object:Gem::Version
84
84
  version: '0'
85
85
  - !ruby/object:Gem::Dependency
86
86
  name: rspec-rails
87
87
  requirement: !ruby/object:Gem::Requirement
88
88
  requirements:
89
- - - ">="
89
+ - - '>='
90
90
  - !ruby/object:Gem::Version
91
91
  version: '0'
92
92
  type: :development
93
93
  prerelease: false
94
94
  version_requirements: !ruby/object:Gem::Requirement
95
95
  requirements:
96
- - - ">="
96
+ - - '>='
97
97
  - !ruby/object:Gem::Version
98
98
  version: '0'
99
99
  - !ruby/object:Gem::Dependency
100
100
  name: shoulda
101
101
  requirement: !ruby/object:Gem::Requirement
102
102
  requirements:
103
- - - ">="
103
+ - - '>='
104
104
  - !ruby/object:Gem::Version
105
105
  version: '0'
106
106
  type: :development
107
107
  prerelease: false
108
108
  version_requirements: !ruby/object:Gem::Requirement
109
109
  requirements:
110
- - - ">="
110
+ - - '>='
111
111
  - !ruby/object:Gem::Version
112
112
  version: '0'
113
113
  - !ruby/object:Gem::Dependency
114
114
  name: bundler
115
115
  requirement: !ruby/object:Gem::Requirement
116
116
  requirements:
117
- - - ">="
117
+ - - '>='
118
118
  - !ruby/object:Gem::Version
119
119
  version: '0'
120
120
  type: :development
121
121
  prerelease: false
122
122
  version_requirements: !ruby/object:Gem::Requirement
123
123
  requirements:
124
- - - ">="
124
+ - - '>='
125
125
  - !ruby/object:Gem::Version
126
126
  version: '0'
127
127
  - !ruby/object:Gem::Dependency
128
128
  name: jeweler
129
129
  requirement: !ruby/object:Gem::Requirement
130
130
  requirements:
131
- - - ">="
131
+ - - '>='
132
132
  - !ruby/object:Gem::Version
133
133
  version: '0'
134
134
  type: :development
135
135
  prerelease: false
136
136
  version_requirements: !ruby/object:Gem::Requirement
137
137
  requirements:
138
- - - ">="
138
+ - - '>='
139
139
  - !ruby/object:Gem::Version
140
140
  version: '0'
141
141
  description: Inline Forms aims to ease the setup of forms that provide inline editing.
@@ -149,9 +149,9 @@ executables:
149
149
  extensions: []
150
150
  extra_rdoc_files: []
151
151
  files:
152
- - ".document"
153
- - ".gitignore"
154
- - ".vscode/settings.json"
152
+ - .document
153
+ - .gitignore
154
+ - .vscode/settings.json
155
155
  - Gemfile
156
156
  - LICENSE.txt
157
157
  - README.rdoc
@@ -298,17 +298,17 @@ require_paths:
298
298
  - lib
299
299
  required_ruby_version: !ruby/object:Gem::Requirement
300
300
  requirements:
301
- - - ">="
301
+ - - '>='
302
302
  - !ruby/object:Gem::Version
303
303
  version: '0'
304
304
  required_rubygems_version: !ruby/object:Gem::Requirement
305
305
  requirements:
306
- - - ">="
306
+ - - '>='
307
307
  - !ruby/object:Gem::Version
308
308
  version: '0'
309
309
  requirements: []
310
310
  rubyforge_project: inline_forms
311
- rubygems_version: 2.7.6
311
+ rubygems_version: 2.6.14
312
312
  signing_key:
313
313
  specification_version: 4
314
314
  summary: Inline editing of forms.